## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestTriggerResponseFactory Struct Reference

A trigger with response as used in a quest state. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | AddRewardFactory (iQuestRewardFactory *reward_fact)=0
| Add a reward factory.
virtual void | SetTriggerFactory (iQuestTriggerFactory *trigger_fact)=0
| Set the trigger factory that is managed by this response factory.

## Detailed Description

A trigger with response as used in a quest state.

This is basically the representation of one trigger and one or more rewards.

Definition at line 463 of file questmanager.h.

## Member Function Documentation

virtual void iQuestTriggerResponseFactory::AddRewardFactory | ( | iQuestRewardFactory * | reward_fact | ) | `[pure virtual]`

| Add a reward factory. A reward of this factory will be obtained when the trigger fires.

virtual void iQuestTriggerResponseFactory::SetTriggerFactory | ( | iQuestTriggerFactory * | trigger_fact | ) | `[pure virtual]`

| Set the trigger factory that is managed by this response factory.

The documentation for this struct was generated from the following file:

- tools/questmanager.h